/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: precompiled_xmloff.hxx,v $
 * $Revision: 1.5 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

// MARKER(update_precomp.py): Generated on 2006-09-01 17:50:21.060744

#ifdef PRECOMPILED_HEADERS

//---MARKER---
#include "sal/config.h"
#include "sal/types.h"

#include "com/sun/star/animations/AnimationAdditiveMode.hpp"
#include "com/sun/star/animations/AnimationCalcMode.hpp"
#include "com/sun/star/animations/AnimationColorSpace.hpp"
#include "com/sun/star/animations/AnimationEndSync.hpp"
#include "com/sun/star/animations/AnimationFill.hpp"
#include "com/sun/star/animations/AnimationNodeType.hpp"
#include "com/sun/star/animations/AnimationRestart.hpp"
#include "com/sun/star/animations/AnimationTransformType.hpp"
#include "com/sun/star/animations/Event.hpp"
#include "com/sun/star/animations/EventTrigger.hpp"
#include "com/sun/star/animations/Timing.hpp"
#include "com/sun/star/animations/TransitionSubType.hpp"
#include "com/sun/star/animations/TransitionType.hpp"
#include "com/sun/star/animations/ValuePair.hpp"
#include "com/sun/star/animations/XAnimateColor.hpp"
#include "com/sun/star/animations/XAnimateMotion.hpp"
#include "com/sun/star/animations/XAnimateSet.hpp"
#include "com/sun/star/animations/XAnimateTransform.hpp"
#include "com/sun/star/animations/XAnimationNode.hpp"
#include "com/sun/star/animations/XAnimationNodeSupplier.hpp"
#include "com/sun/star/animations/XAudio.hpp"
#include "com/sun/star/animations/XCommand.hpp"
#include "com/sun/star/animations/XIterateContainer.hpp"
#include "com/sun/star/animations/XTransitionFilter.hpp"
#include "com/sun/star/awt/FontDescriptor.hpp"
#include "com/sun/star/awt/FontEmphasisMark.hpp"
#include "com/sun/star/awt/FontFamily.hpp"
#include "com/sun/star/awt/FontPitch.hpp"
#include "com/sun/star/awt/FontRelief.hpp"
#include "com/sun/star/awt/FontSlant.hpp"
#include "com/sun/star/awt/FontStrikeout.hpp"
#include "com/sun/star/awt/FontUnderline.hpp"
#include "com/sun/star/awt/FontWidth.hpp"
#include "com/sun/star/awt/Gradient.hpp"
#include "com/sun/star/awt/ImagePosition.hpp"
#include "com/sun/star/awt/Point.hpp"
#include "com/sun/star/awt/Rectangle.hdl"
#include "com/sun/star/awt/Rectangle.hpp"
#include "com/sun/star/awt/ScrollBarOrientation.hpp"
#include "com/sun/star/awt/Size.hpp"
#include "com/sun/star/awt/TextAlign.hpp"
#include "com/sun/star/awt/VisualEffect.hpp"
#include "com/sun/star/awt/XBitmap.hpp"
#include "com/sun/star/awt/XControlModel.hpp"
#include "com/sun/star/beans/NamedValue.hpp"
#include "com/sun/star/beans/PropertyAttribute.hpp"
#include "com/sun/star/beans/PropertyState.hpp"
#include "com/sun/star/beans/PropertyValue.hpp"
#include "com/sun/star/beans/PropertyValues.hpp"
#include "com/sun/star/beans/PropertyVetoException.hpp"
#include "com/sun/star/beans/TolerantPropertySetResultType.hpp"
#include "com/sun/star/beans/UnknownPropertyException.hpp"
#include "com/sun/star/beans/XMultiPropertySet.hpp"
#include "com/sun/star/beans/XMultiPropertyStates.hpp"
#include "com/sun/star/beans/XPropertyContainer.hpp"
#include "com/sun/star/beans/XPropertySet.hpp"
#include "com/sun/star/beans/XPropertySetInfo.hpp"
#include "com/sun/star/beans/XPropertyState.hpp"
#include "com/sun/star/beans/XTolerantMultiPropertySet.hpp"
#include "com/sun/star/chart/ChartAxisArrangeOrderType.hpp"
#include "com/sun/star/chart/ChartAxisAssign.hpp"
#include "com/sun/star/chart/ChartAxisMarks.hpp"
#include "com/sun/star/chart/ChartDataCaption.hpp"
#include "com/sun/star/chart/ChartDataRowSource.hpp"
#include "com/sun/star/chart/ChartErrorCategory.hpp"
#include "com/sun/star/chart/ChartErrorIndicatorType.hpp"
#include "com/sun/star/chart/ChartLegendPosition.hpp"
#include "com/sun/star/chart/ChartRegressionCurveType.hpp"
#include "com/sun/star/chart/ChartSeriesAddress.hpp"
#include "com/sun/star/chart/ChartSolidType.hpp"
#include "com/sun/star/chart/ChartSymbolType.hpp"
#include "com/sun/star/chart/X3DDisplay.hpp"
#include "com/sun/star/chart/XAxisZSupplier.hpp"
#include "com/sun/star/chart/XChartDataArray.hpp"
#include "com/sun/star/chart/XChartDocument.hpp"
#include "com/sun/star/chart/XDiagram.hpp"
#include "com/sun/star/chart/XSecondAxisTitleSupplier.hpp"
#include "com/sun/star/chart/XStatisticDisplay.hpp"
#include "com/sun/star/chart/XTwoAxisXSupplier.hpp"
#include "com/sun/star/chart/XTwoAxisYSupplier.hpp"
#include "com/sun/star/container/XChild.hpp"
#include "com/sun/star/container/XContentEnumerationAccess.hpp"
#include "com/sun/star/container/XEnumeration.hpp"
#include "com/sun/star/container/XEnumerationAccess.hpp"
#include "com/sun/star/container/XIdentifierAccess.hpp"
#include "com/sun/star/container/XIdentifierContainer.hpp"
#include "com/sun/star/container/XIndexAccess.hpp"
#include "com/sun/star/container/XIndexContainer.hpp"
#include "com/sun/star/container/XIndexReplace.hpp"
#include "com/sun/star/container/XNameAccess.hpp"
#include "com/sun/star/container/XNameContainer.hpp"
#include "com/sun/star/container/XNameReplace.hpp"
#include "com/sun/star/container/XNamed.hpp"
#include "com/sun/star/container/XSet.hpp"
#include "com/sun/star/document/PrinterIndependentLayout.hpp"
#include "com/sun/star/document/XActionLockable.hpp"
#include "com/sun/star/document/XBinaryStreamResolver.hpp"
#include "com/sun/star/document/XDocumentInfo.hpp"
#include "com/sun/star/document/XDocumentInfoSupplier.hpp"
#include "com/sun/star/document/XDocumentRevisionListPersistence.hpp"
#include "com/sun/star/document/XEmbeddedObjectResolver.hpp"
#include "com/sun/star/document/XEmbeddedObjectSupplier.hpp"
#include "com/sun/star/document/XEventsSupplier.hpp"
#include "com/sun/star/document/XExporter.hpp"
#include "com/sun/star/document/XFilter.hpp"
#include "com/sun/star/document/XGraphicObjectResolver.hpp"
#include "com/sun/star/document/XImporter.hpp"
#include "com/sun/star/document/XRedlinesSupplier.hpp"
#include "com/sun/star/document/XViewDataSupplier.hpp"
#include "com/sun/star/drawing/Alignment.hpp"
#include "com/sun/star/drawing/BitmapMode.hpp"
#include "com/sun/star/drawing/CameraGeometry.hpp"
#include "com/sun/star/drawing/CircleKind.hpp"
#include "com/sun/star/drawing/ColorMode.hpp"
#include "com/sun/star/drawing/ConnectorType.hpp"
#include "com/sun/star/drawing/DashStyle.hpp"
#include "com/sun/star/drawing/Direction3D.hpp"
#include "com/sun/star/drawing/DoubleSequence.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeAdjustmentValue.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeGluePointType.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeParameter.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeParameterPair.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeParameterType.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeSegment.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeSegmentCommand.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeTextFrame.hpp"
#include "com/sun/star/drawing/EnhancedCustomShapeTextPathMode.hpp"
#include "com/sun/star/drawing/EscapeDirection.hpp"
#include "com/sun/star/drawing/FillStyle.hpp"
#include "com/sun/star/drawing/FlagSequence.hpp"
#include "com/sun/star/drawing/FlagSequenceSequence.hpp"
#include "com/sun/star/drawing/GluePoint2.hpp"
#include "com/sun/star/drawing/Hatch.hpp"
#include "com/sun/star/drawing/HomogenMatrix.hpp"
#include "com/sun/star/drawing/HomogenMatrix3.hpp"
#include "com/sun/star/drawing/LineDash.hpp"
#include "com/sun/star/drawing/LineJoint.hpp"
#include "com/sun/star/drawing/LineStyle.hpp"
#include "com/sun/star/drawing/MeasureTextHorzPos.hpp"
#include "com/sun/star/drawing/MeasureTextVertPos.hpp"
#include "com/sun/star/drawing/NormalsKind.hpp"
#include "com/sun/star/drawing/PointSequence.hpp"
#include "com/sun/star/drawing/PointSequenceSequence.hpp"
#include "com/sun/star/drawing/PolyPolygonBezierCoords.hpp"
#include "com/sun/star/drawing/PolyPolygonShape3D.hpp"
#include "com/sun/star/drawing/Position3D.hpp"
#include "com/sun/star/drawing/ProjectionMode.hpp"
#include "com/sun/star/drawing/RectanglePoint.hpp"
#include "com/sun/star/drawing/ShadeMode.hpp"
#include "com/sun/star/drawing/TextAnimationDirection.hpp"
#include "com/sun/star/drawing/TextAnimationKind.hpp"
#include "com/sun/star/drawing/TextFitToSizeType.hpp"
#include "com/sun/star/drawing/TextHorizontalAdjust.hpp"
#include "com/sun/star/drawing/TextVerticalAdjust.hpp"
#include "com/sun/star/drawing/TextureKind.hpp"
#include "com/sun/star/drawing/TextureMode.hpp"
#include "com/sun/star/drawing/TextureProjectionMode.hpp"
#include "com/sun/star/drawing/XControlShape.hpp"
#include "com/sun/star/drawing/XCustomShapeEngine.hpp"
#include "com/sun/star/drawing/XDrawPage.hpp"
#include "com/sun/star/drawing/XDrawPageSupplier.hpp"
#include "com/sun/star/drawing/XDrawPages.hpp"
#include "com/sun/star/drawing/XDrawPagesSupplier.hpp"
#include "com/sun/star/drawing/XGluePointsSupplier.hpp"
#include "com/sun/star/drawing/XLayerManager.hpp"
#include "com/sun/star/drawing/XLayerSupplier.hpp"
#include "com/sun/star/drawing/XMasterPageTarget.hpp"
#include "com/sun/star/drawing/XMasterPagesSupplier.hpp"
#include "com/sun/star/drawing/XShape.hpp"
#include "com/sun/star/drawing/XShapes.hpp"
#include "com/sun/star/embed/ElementModes.hpp"
#include "com/sun/star/embed/XStorage.hpp"
#include "com/sun/star/form/FormButtonType.hpp"
#include "com/sun/star/form/FormComponentType.hpp"
#include "com/sun/star/form/FormSubmitEncoding.hpp"
#include "com/sun/star/form/FormSubmitMethod.hpp"
#include "com/sun/star/form/ListSourceType.hpp"
#include "com/sun/star/form/NavigationBarMode.hpp"
#include "com/sun/star/form/TabulatorCycle.hpp"
#include "com/sun/star/form/XForm.hpp"
#include "com/sun/star/form/XFormsSupplier.hpp"
#include "com/sun/star/form/XFormsSupplier2.hpp"
#include "com/sun/star/form/XGridColumnFactory.hpp"
#include "com/sun/star/form/binding/XBindableValue.hpp"
#include "com/sun/star/form/binding/XListEntrySink.hpp"
#include "com/sun/star/form/binding/XListEntrySource.hpp"
#include "com/sun/star/form/binding/XValueBinding.hpp"
#include "com/sun/star/form/submission/XSubmission.hpp"
#include "com/sun/star/form/submission/XSubmissionSupplier.hpp"
#include "com/sun/star/formula/SymbolDescriptor.hpp"
#include "com/sun/star/frame/XModel.hpp"
#include "com/sun/star/frame/XStorable.hpp"
#include "com/sun/star/i18n/NativeNumberXmlAttributes.hpp"
#include "com/sun/star/i18n/UnicodeType.hpp"
#include "com/sun/star/i18n/XCharacterClassification.hpp"
#include "com/sun/star/i18n/XForbiddenCharacters.hpp"
#include "com/sun/star/io/XActiveDataSource.hpp"
#include "com/sun/star/io/XInputStream.hpp"
#include "com/sun/star/io/XOutputStream.hpp"
#include "com/sun/star/io/XPersistObject.hpp"
#include "com/sun/star/lang/IllegalArgumentException.hpp"
#include "com/sun/star/lang/Locale.hpp"
#include "com/sun/star/lang/ServiceNotRegisteredException.hpp"
#include "com/sun/star/lang/WrappedTargetException.hpp"
#include "com/sun/star/lang/XEventListener.hpp"
#include "com/sun/star/lang/XInitialization.hpp"
#include "com/sun/star/lang/XMultiServiceFactory.hpp"
#include "com/sun/star/lang/XServiceInfo.hpp"
#include "com/sun/star/lang/XSingleServiceFactory.hpp"
#include "com/sun/star/lang/XTypeProvider.hpp"
#include "com/sun/star/lang/XUnoTunnel.hpp"
#include "com/sun/star/linguistic2/XSupportedLocales.hpp"
#include "com/sun/star/media/ZoomLevel.hpp"
#include "com/sun/star/presentation/AnimationEffect.hpp"
#include "com/sun/star/presentation/AnimationSpeed.hpp"
#include "com/sun/star/presentation/ClickAction.hpp"
#include "com/sun/star/presentation/EffectCommands.hpp"
#include "com/sun/star/presentation/EffectNodeType.hpp"
#include "com/sun/star/presentation/EffectPresetClass.hpp"
#include "com/sun/star/presentation/FadeEffect.hpp"
#include "com/sun/star/presentation/ParagraphTarget.hpp"
#include "com/sun/star/presentation/ShapeAnimationSubType.hpp"
#include "com/sun/star/presentation/TextAnimationType.hpp"
#include "com/sun/star/presentation/XCustomPresentationSupplier.hpp"
#include "com/sun/star/presentation/XHandoutMasterSupplier.hpp"
#include "com/sun/star/presentation/XPresentationPage.hpp"
#include "com/sun/star/presentation/XPresentationSupplier.hpp"
#include "com/sun/star/registry/XRegistryKey.hpp"
#include "com/sun/star/script/ScriptEventDescriptor.hpp"
#include "com/sun/star/script/XEventAttacherManager.hpp"
#include "com/sun/star/sdb/CommandType.hpp"
#include "com/sun/star/sheet/XSpreadsheetDocument.hpp"
#include "com/sun/star/style/BreakType.hpp"
#include "com/sun/star/style/CaseMap.hpp"
#include "com/sun/star/style/DropCapFormat.hpp"
#include "com/sun/star/style/GraphicLocation.hpp"
#include "com/sun/star/style/LineNumberPosition.hpp"
#include "com/sun/star/style/LineSpacing.hpp"
#include "com/sun/star/style/LineSpacingMode.hpp"
#include "com/sun/star/style/NumberingType.hpp"
#include "com/sun/star/style/PageStyleLayout.hpp"
#include "com/sun/star/style/ParagraphAdjust.hpp"
#include "com/sun/star/style/ParagraphStyleCategory.hpp"
#include "com/sun/star/style/TabAlign.hpp"
#include "com/sun/star/style/TabStop.hpp"
#include "com/sun/star/style/VerticalAlignment.hpp"
#include "com/sun/star/style/XStyle.hpp"
#include "com/sun/star/style/XStyleFamiliesSupplier.hpp"
#include "com/sun/star/table/BorderLine.hpp"
#include "com/sun/star/table/CellAddress.hpp"
#include "com/sun/star/table/CellRangeAddress.hpp"
#include "com/sun/star/table/ShadowFormat.hpp"
#include "com/sun/star/table/XCellRange.hpp"
#include "com/sun/star/task/XStatusIndicator.hpp"
#include "com/sun/star/task/XStatusIndicatorSupplier.hpp"
#include "com/sun/star/text/BibliographyDataField.hpp"
#include "com/sun/star/text/BibliographyDataType.hpp"
#include "com/sun/star/text/ChapterFormat.hpp"
#include "com/sun/star/text/ControlCharacter.hpp"
#include "com/sun/star/text/FilenameDisplayFormat.hpp"
#include "com/sun/star/text/FontEmphasis.hpp"
#include "com/sun/star/text/FontRelief.hpp"
#include "com/sun/star/text/FootnoteNumbering.hpp"
#include "com/sun/star/text/GraphicCrop.hpp"
#include "com/sun/star/text/HoriOrientation.hpp"
#include "com/sun/star/text/HorizontalAdjust.hpp"
#include "com/sun/star/text/PageNumberType.hpp"
#include "com/sun/star/text/ParagraphVertAlign.hpp"
#include "com/sun/star/text/PlaceholderType.hpp"
#include "com/sun/star/text/PositionLayoutDir.hpp"
#include "com/sun/star/text/ReferenceFieldPart.hpp"
#include "com/sun/star/text/ReferenceFieldSource.hpp"
#include "com/sun/star/text/RelOrientation.hpp"
#include "com/sun/star/text/RubyAdjust.hpp"
#include "com/sun/star/text/SectionFileLink.hpp"
#include "com/sun/star/text/SetVariableType.hpp"
#include "com/sun/star/text/SizeType.hpp"
#include "com/sun/star/text/TemplateDisplayFormat.hpp"
#include "com/sun/star/text/TextColumn.hpp"
#include "com/sun/star/text/TextContentAnchorType.hpp"
#include "com/sun/star/text/TextGridMode.hpp"
#include "com/sun/star/text/UserDataPart.hpp"
#include "com/sun/star/text/VertOrientation.hpp"
#include "com/sun/star/text/WrapInfluenceOnPosition.hpp"
#include "com/sun/star/text/WrapTextMode.hpp"
#include "com/sun/star/text/WritingMode.hpp"
#include "com/sun/star/text/WritingMode2.hpp"
#include "com/sun/star/text/XChapterNumberingSupplier.hpp"
#include "com/sun/star/text/XDependentTextField.hpp"
#include "com/sun/star/text/XDocumentIndex.hpp"
#include "com/sun/star/text/XEndnotesSupplier.hpp"
#include "com/sun/star/text/XFootnote.hpp"
#include "com/sun/star/text/XFootnotesSupplier.hpp"
#include "com/sun/star/text/XLineNumberingProperties.hpp"
#include "com/sun/star/text/XNumberingTypeInfo.hpp"
#include "com/sun/star/text/XRelativeTextContentInsert.hpp"
#include "com/sun/star/text/XRelativeTextContentRemove.hpp"
#include "com/sun/star/text/XText.hpp"
#include "com/sun/star/text/XTextColumns.hpp"
#include "com/sun/star/text/XTextContent.hpp"
#include "com/sun/star/text/XTextCursor.hpp"
#include "com/sun/star/text/XTextDocument.hpp"
#include "com/sun/star/text/XTextEmbeddedObjectsSupplier.hpp"
#include "com/sun/star/text/XTextField.hpp"
#include "com/sun/star/text/XTextFieldsSupplier.hpp"
#include "com/sun/star/text/XTextFrame.hpp"
#include "com/sun/star/text/XTextFramesSupplier.hpp"
#include "com/sun/star/text/XTextGraphicObjectsSupplier.hpp"
#include "com/sun/star/text/XTextRange.hpp"
#include "com/sun/star/text/XTextRangeCompare.hpp"
#include "com/sun/star/text/XTextSection.hpp"
#include "com/sun/star/text/XTextShapesSupplier.hpp"
#include "com/sun/star/ucb/XAnyCompare.hpp"
#include "com/sun/star/ucb/XAnyCompareFactory.hpp"
#include "com/sun/star/uno/Any.hxx"
#include "com/sun/star/uno/Exception.hpp"
#include "com/sun/star/uno/Reference.h"
#include "com/sun/star/uno/Reference.hxx"
#include "com/sun/star/uno/Sequence.h"
#include "com/sun/star/uno/Sequence.hxx"
#include "com/sun/star/uno/Type.h"
#include "com/sun/star/uno/Type.hxx"
#include "com/sun/star/uno/XInterface.hpp"
#include "com/sun/star/uri/XUriReferenceFactory.hpp"
#include "com/sun/star/uri/XVndSunStarScriptUrl.hpp"
#include "com/sun/star/util/Date.hpp"
#include "com/sun/star/util/DateTime.hpp"
#include "com/sun/star/util/NumberFormat.hpp"
#include "com/sun/star/util/RevisionTag.hpp"
#include "com/sun/star/util/Time.hpp"
#include "com/sun/star/util/XCloneable.hpp"
#include "com/sun/star/util/XModifiable.hpp"
#include "com/sun/star/util/XNumberFormats.hpp"
#include "com/sun/star/util/XNumberFormatsSupplier.hpp"
#include "com/sun/star/util/XStringMapping.hpp"
#include "com/sun/star/util/XStringSubstitution.hpp"
#include "com/sun/star/util/XUpdatable.hpp"
#include "com/sun/star/view/PaperOrientation.hpp"
#include "com/sun/star/xforms/XDataTypeRepository.hpp"
#include "com/sun/star/xforms/XFormsSupplier.hpp"
#include "com/sun/star/xforms/XModel.hpp"
#include "com/sun/star/xml/AttributeData.hpp"
#include "com/sun/star/xml/dom/NodeType.hpp"
#include "com/sun/star/xml/dom/XAttr.hpp"
#include "com/sun/star/xml/dom/XDocument.hpp"
#include "com/sun/star/xml/dom/XDocumentBuilder.hpp"
#include "com/sun/star/xml/dom/XElement.hpp"
#include "com/sun/star/xml/dom/XEntity.hpp"
#include "com/sun/star/xml/dom/XNamedNodeMap.hpp"
#include "com/sun/star/xml/dom/XNode.hpp"
#include "com/sun/star/xml/dom/XNotation.hpp"
#include "com/sun/star/xml/sax/InputSource.hpp"
#include "com/sun/star/xml/sax/SAXException.hpp"
#include "com/sun/star/xml/sax/SAXInvalidCharacterException.hpp"
#include "com/sun/star/xml/sax/SAXParseException.hpp"
#include "com/sun/star/xml/sax/XAttributeList.hpp"
#include "com/sun/star/xml/sax/XDocumentHandler.hpp"
#include "com/sun/star/xml/sax/XExtendedDocumentHandler.hpp"
#include "com/sun/star/xml/sax/XLocator.hpp"
#include "com/sun/star/xml/sax/XParser.hpp"
#include "com/sun/star/xsd/DataTypeClass.hpp"
#include "com/sun/star/xsd/WhiteSpaceTreatment.hpp"
#include "com/sun/star/xsd/XDataType.hpp"

#include "comphelper/genericpropertyset.hxx"
#include "comphelper/namecontainer.hxx"
#include "comphelper/processfactory.hxx"
#include "comphelper/sequence.hxx"
#include "comphelper/stl_types.hxx"
#include "comphelper/types.hxx"

#include "cppuhelper/factory.hxx"
#include "cppuhelper/implbase1.hxx"
#include "cppuhelper/implbase2.hxx"
#include "cppuhelper/implbase3.hxx"
#include "cppuhelper/implbase4.hxx"
#include "cppuhelper/implbase6.hxx"
#include "cppuhelper/weak.hxx"
#include "cppuhelper/weakref.hxx"

#include "i18npool/lang.h"
#include "i18npool/mslangid.hxx"

#include "osl/diagnose.h"
#include "osl/interlck.h"
#include "osl/mutex.hxx"

#include "rsc/rscsfx.hxx"

#include "rtl/logfile.hxx"
#include "rtl/math.hxx"
#include "rtl/memory.h"
#include "rtl/ustrbuf.hxx"
#include "rtl/ustring.hxx"
#include "rtl/uuid.h"

#include "salhelper/simplereferenceobject.hxx"

#include "sot/clsids.hxx"

#include "svtools/cntnrsrt.hxx"
#include "svtools/itemset.hxx"
#include "svtools/moduleoptions.hxx"
#include "svtools/nfsymbol.hxx"
#include "svtools/numuno.hxx"
#include "svtools/poolitem.hxx"
#include "svtools/svarray.hxx"
#include "svtools/svstdarr.hxx"
#include "svtools/urihelper.hxx"


#include "tools/bigint.hxx"
#include "tools/color.hxx"
#include "tools/debug.hxx"
#include "tools/gen.hxx"
#include "tools/globname.hxx"
#include "tools/inetdef.hxx"
#include "tools/list.hxx"
#include "tools/ref.hxx"
#include "tools/rtti.hxx"
#include "tools/solar.h"
#include "tools/string.hxx"
#include "tools/time.hxx"
#include "tools/urlobj.hxx"

#include "uno/lbnames.h"

#include "unotools/bootstrap.hxx"
#include "unotools/charclass.hxx"
#include "unotools/configmgr.hxx"
#include "unotools/processfactory.hxx"
#include "unotools/streamwrap.hxx"

#include "vcl/fldunit.hxx"
#include "vcl/fontcvt.hxx"
#include "vcl/mapunit.hxx"

#include "vos/mutex.hxx"
#include "vos/ref.hxx"
#include "vos/refernce.hxx"

#include "xmloff/dllapi.h"
//---MARKER---

#endif
